﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Race
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var stream = File.OpenText("blocks.in"))
            {
                var tn = int.Parse(stream.ReadLine());
                Debug.Assert(tn >= 1 && tn <= 10000);

                for (int ti = 0; ti < tn; ti++)
                {
                    var n = int.Parse(stream.ReadLine());
                    Debug.Assert(n >= 1 && n <= 1000*1000);

                    var arr = stream.ReadLine().Split(' ');
                    Debug.Assert(arr.Length == n);

                    var a = arr.Select(x => int.Parse(x)).ToArray();
                    foreach (var x in a)
                    {
                        Debug.Assert(Math.Abs(x) <= 1000 * 1000 * 1000); 
                    }

                    var groups = new List<Tuple<int, int>>();

                    var count = 1;
                    var value = a[0];
                    var i = 1;

                    while (i < a.Length)
                    {
                        if (a[i] == value)
                        {
                            count++;
                        }
                        else
                        {
                            groups.Add(Tuple.Create(value, count));
                            count = 1;
                            value = a[i];
                        }
                        i++;
                    }

                    groups.Add(Tuple.Create(value, count));

                    Console.Write(groups.Count);
                    foreach (var group in groups)
                    {
                        Console.Write(" [{0} {1}]", group.Item1, group.Item2);
                    }
                    Console.WriteLine();
                }
            }

        }
    }
}
