import java.io.File;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.*;

/**
 * @author Oleg Arshinsky (velet5@ya.ru)
 */
public class Blocks_oa {

	private static String genAnswer(final List<Integer> numbers) {
            Integer prev = numbers.get(0);
            int count = 0;
            int total = 0;
            final StringBuilder sb = new StringBuilder();

            for (Integer number : numbers) {
                if (number.equals(prev)){
                    count += 1;
                } else {
                    total += 1;
                    sb.append('[');
                    sb.append(prev);
                    sb.append(' ');
                    sb.append(count);
                    sb.append(']');
                    sb.append(' ');
                    count = 1;
                }
                prev = number;
            }

            total += 1;
            sb.append('[');
            sb.append(prev);
            sb.append(' ');
            sb.append(count);
            sb.append(']');

            return Integer.valueOf(total).toString() + ' ' + sb.toString();
        }

    public static void main(String[] args) throws Exception {
        Scanner in = new Scanner(new File("blocks.in"));
		PrintWriter out = new PrintWriter(System.out);
		
		int testn = in.nextInt();
		for (int testi = 0; testi < testn; testi++)
		{
			int n = in.nextInt();
		
			Integer[] a = new Integer[n];
			
			for (int i = 0; i < n; i++)
			{
				a[i] = Integer.valueOf(in.nextInt());
			}
			
			out.println(genAnswer(Arrays.asList(a)));
		}
		
		in.close();
		out.close();
    }

}
