﻿using System;
using System.Diagnostics;
using System.IO;
using System.Linq;

/// <summary>
/// Задача: "Беспризорник"
/// Автор решения: Олег Андрушко
/// </summary>

namespace Smoker
{
    class Program
    {
        static void Main(string[] args)
        {
            CheckTestsData();

            string[] lines = File.ReadAllLines("SMOKER.in");
            int testsCount = int.Parse(lines[0]);
            for (int t = 1; t <= testsCount; t++)
            {
                int[] nk = lines[t].Split(' ').Select(int.Parse).ToArray();
                Solve(nk[0], nk[1]);
            }
        }

        private static void Solve(int n, int k)
        {
            int smoked = 0;
            while (n >= k)
            {
                smoked += n/k;
                n = n/k + n%k;
            }
            Console.WriteLine("{0} {1}", smoked, n);
        }

        private static void CheckTestsData()
        {
            string[] lines = File.ReadAllLines("SMOKER.in");
            int T = int.Parse(lines[0]);
            Debug.Assert(T > 0 && T <= 10000, "T must be less or equal 10000. Actual value is: " + T);
            for (int t = 1; t <= T; t++)
            {
                int[] nk = lines[t].Split(' ').Select(int.Parse).ToArray();
                int N = nk[0];
                Debug.Assert(N >= 2 && N <= 1000000000,
                    "N must be more or equal 2 and less or equal 10e9. Actual value is: " + N + " Test number: " + t);

                int K = nk[1];
                Debug.Assert(K >= 2 && K <= 1000000000,
                    "K must be more or equal 2 and less or equal 10e9. Actual value is: " + K + " Test number: " + t);
            }
        }
    }
}
