﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Words
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var stream = File.OpenText("words.in"))
            {
                var tn = int.Parse(stream.ReadLine());
                Debug.Assert(tn >= 1 && tn <= 120);
                for (int ti = 0; ti < tn; ti++)
                {
                    var s = stream.ReadLine();
                    Debug.Assert(s.Length >= 1 && s.Length <= 1000);

                    foreach (var c in s)
                    {
                        Debug.Assert(c == ' ' || (c >= 'A' && c <= 'Z') || (c >= 'a' && c <= 'z')); 
                    }

                    var words = s.Split(new [] {' '}, StringSplitOptions.RemoveEmptyEntries);
                    Debug.Assert(words.Length > 0);

                    var sb = new StringBuilder();
                    int n = 0;
                    foreach (var w in words)
                    {
                        sb.Append(new string(' ', n));
                        sb.AppendLine(w);
                        n += w.Length;
                    }

                    
                    Console.WriteLine("Case {0}:", ti + 1);
                    Console.Write(sb);
                    
                }
            }

        }

    }
}
